[
    {
        "function": "set_item",
        "item": "poisonous_potato"
    },
    {
        "function": "set_components",
        "components": {
            "item_model": "minecraft:carrot",
            "item_name": {
                "translate": "item.minecraft.carrot",
                "color": "white"
            },
            "custom_data": {
              "or_is_food": true,
              "or_food_type": "carrot",
              "or_food_category": "vegetable",
              "or_food_sub_category": "vegetable_from_ground",
              "or_food_rawness_type": "raw"
            },
            "max_stack_size": 1,
            "max_damage": 10000,
            "damage": 1,
            "food": {
                "nutrition": 3,
                "saturation": 3.6000001,
                "can_always_eat": true
            },
            "consumable": {
                "consume_seconds": 3.0
            }
        }
    }
]